Get all current space to sensor mappings in the given building.
curl --request GET \
--url https://{environment}.{customerId}.ch.locatee.com/public/api/analytics/v1/building/{buildingId}/space-to-sensor-mappings \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{environment}.{customerId}.ch.locatee.com/public/api/analytics/v1/building/{buildingId}/space-to-sensor-mappings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{environment}.{customerId}.ch.locatee.com/public/api/analytics/v1/building/{buildingId}/space-to-sensor-mappings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"spaceToSensorMappings": [
{
"spaceId": 241,
"sensorName": "sensor1"
}
]
}Analytics - Static Data
Get all current space to sensor mappings in the given building.
This request will return all currently valid mappings of spaces to sensors.
This endpoint is available to all SubscriptionPlans.
GET
/
public
/
api
/
analytics
/
v1
/
building
/
{buildingId}
/
space-to-sensor-mappings
Get all current space to sensor mappings in the given building.
curl --request GET \
--url https://{environment}.{customerId}.ch.locatee.com/public/api/analytics/v1/building/{buildingId}/space-to-sensor-mappings \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{environment}.{customerId}.ch.locatee.com/public/api/analytics/v1/building/{buildingId}/space-to-sensor-mappings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{environment}.{customerId}.ch.locatee.com/public/api/analytics/v1/building/{buildingId}/space-to-sensor-mappings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"spaceToSensorMappings": [
{
"spaceId": 241,
"sensorName": "sensor1"
}
]
}Authorizations
Path Parameters
The unique ID of a building.
Example:
6
Response
Successful operation
A list where each element represents an existing mapping of a space to a sensor.
Show child attributes
Show child attributes

